# Kloudless

Community-contributed Ruby client to the Kloudless API.

The Kloudless team plans to support an official Ruby SDK in the future.

## Installation

Add this line to your application's Gemfile:

    gem 'kloudless'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install kloudless

## Usage

See the [Kloudless API Docs](https://developers.kloudless.com/docs) for the
official reference. You can obtain an API Key at the [Developer
Portal](https://developers.kloudless.com/).

```ruby
# Authentication using a Bearer Token obtained by authenticating a user.
Kloudless.authorize(token: "abc")

# Alternatively, use the line below for API Keys:
# Kloudless.authorize(api_key: "abc")

accounts = Kloudless::Account.list
account = accounts.first

account = Kloudless::Account.update(account_id: account.id, active: false)
Kloudless::Account.delete(account_id: account.id)
```

## Version

This gem uses [semantic versioning](http://semver.org), where a version number
looks like:

```
v major.minor.patch
```

The major version tracks the version of the Kloudless API. For example, all
versions that start with `v1.x.y` are compatible with Kloudless API `v1`.

## Release

To release this gem, look under the `script` directory. Check out
[jch/release-scripts](https://github.com/jch/release-scripts) for details.
